FileOps Help

Warning: FileOps uses strong encryption techniques. Before using FileOps, please check if such encryption methods are legal in your area/country.

Fixes since Version 1.02:

  • Bug in "Manage Profiles" fixed (When clicking on empty entry)
  • Filename length limit of 80 removed in drag and drop operations.

    Thank For choosing FileOps 1.03

    This help document contains information on:

    • Renaming files.

    • Changing the timestamp of files.

    • Shredding files.

    • Encrypting files.

    • Uploading files..

    • Contacting us.

            .

    FileOps is a program that carries out some useful tasks on files all from the one interface. Multiple files can be processed in a single click and the size of the executable ensures that the memory requirements are kept way down.
    Renaming | Change extensions | Add prefix | Add suffix
    Changing Timestamp | Change creation date | Change last access date | Change last write date
    Shredding | User defined overwrite. | With high enough setting, makes files unrecoverable.
    Encrypting* | Blowfish - 448 bit | Des - 56 bit | RC6 256 - bit | Twofish 256 - bit
    Uploading | One click upload. | Profile manager | Encrypted password.
    *Max key length.

    License Agreement:

    By using this software you take full responsibility for all loss, damage
    or situation that may arise from it's use, and you also agree that The
    Informail Team cannot be held responsible for any use or misuse of this
    software.
    This software is provided 'as-is' free of charge, with no warranty or
    guarantee of any kind, expressed or implied.
    This software can be distributed freely by any non-profit
    organization. If any company or publisher wants to include this
    software product (FileOps) in/with any of it's products or
    publications, they must first seek permission from The InFormail Team.
    The copyrights of this software remain vested in The InFormail Team
    which reserves the right to withhold or withdraw authorization of use
    and/or distribution.

    The InFormail Team
    informail@eircom.net

    Copyright The InFormail Team, ©2001


FileOps Help

Renaming Files
  1. Select a directory that contains the files you wish to rename.
  2. Choose the file extension of the file type you wish to rename.
  3. If you wish to rename all files of this type that reside in subdirectories, tick the box.
  4. On the left hand side, choose an option to either change the extension, add a prefix or add a suffix.
  5. Click the start button.

(Prefix goes before the file name, suffix goes after the file name but before the extension).

Changing the Timestamps
  1. Select a directory that contains the files you wish the change the timestamp of.
  2. Select the date and time you wish to stamp the file with.
  3. Select the times you want to change. These are, the time of creation, time of last write, and the time of last access.
  4. Alternatively, you can drag and drop files onto the file list for inclusion.
  5. Known issue: When the time stamps are changed, the day figure may be one greater than the one you specified. To get around this, do the following: If for example you want the day 14, to be stamped, then select 13 when choosing the date.

Shredding Files

Warning: Be extremely careful when shredding files, as shredding makes them, by definition, unretrievable.

  1. Select a directory containing the files you wish to shred, or alternatively drag and drop files onto the file list.
  2. Select the amount of times to overwrite the files with random data. (Higher is more secure but slower.)
  3. Choose whether or not to shred files in the subdirectories (Be very careful with this!)
  4. Press Start to begin shredding.

Note: Choosing a value of one or two for the overwrite is not 100% effective against someone trying to recover your data. Certain techniques have been developed ,weakly shredded data leaves a magnetic "ghost image" on a disk, that can be used to recover what you might think is unrecoverable. For instance the US Department of Defence uses a value of 7 when they wipe data for absolute certainty. A value of 4 or above should be ok though.

Encrypting Files
  1. Select the directory containing the files you wish to encrypt, or alternatively drag and drop files onto the file list.
  2. Choose to incluse all files in the directory you chose, if you chose one.
  3. Choose an encryption algorithm (key strengths are given above).
  4. Enter a password to encrypt the files with, then verify the password in the dialog box that appears.
  5. Press start to begin,

Warning: We do not have the ability to recover lost passwords or data. Be careful not to lose or forget the passwords to the files you have encrypted as, if you do, you will never see your data again.

Note: When FileOps encrypts files, it appends 3 exclamation marks as a new extension to the file name. Example: encrypting "file.txt" will give "file.txt.!!!". When decrypting files. FileOps assumes all files with the ".!!!" extension are encrypted so when it accesses a file with this extension, it knows that it is encrypted so attempts to decrypt it. Conversely, if FileOps accesses a file that does not have this ".!!!" extension it assumes it has to be encrypted.

Uploading Files

  1. Select the directory containing the files you wish to upload, or alternatively drag and drop files onto the file list.
  2. Choose a profile to use to access the FTP server, or click on "FTP Settings" to create one.
  3. Enter the path to upload to Example: this maybe "/public_html" for your webspace (remember the leading "/"). If the remote directory does not exist, FileOps will disconnect. Leave this field blank to upload to the root of the user tree.
  4. Click on upload to begin uploading.

Note: You may experience dificulty connecting if you are on a LAN or behind a firewall. This wil be fixed in a later release.

Copyright The InFormail Team, ©2001